MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027615Community[OCCT] OCCT:Modeling Algorithmspublic2016-06-17 14:152017-09-29 16:25
ReporterMarkus 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0027615: [regression] Boolean operation returns invalid shape in 64 bit mode and valid shape in 32 bit mode
DescriptionFor the appended case the boolean operation returns an invalid shape, if it is run in 64 bit mode (tested with VS 2010). But in 32 bit mode it returns a valid shape.

checkshape, bopcheck and bopargcheck do not complain.

In OCC 6.9.1, the result was valid also in 64 bit mode.

The invalid shape can be fixed by fixshape.
Steps To Reproducepload ALL

restore RP.brep p

whatis p

tolerance p

checkshape p

explode p

brunparallel 1

bopcheck p_1

bopcheck p_2

bopargcheck p_1 p_2 -O #F

bop p_1 p_2

bopcommon r

whatis r

explode r

whatis r_1

checkshape r_1
TagsNo tags attached.
Test case numberbugs modalg_6 bug27615
Attached Files? file icon RP.brep (983,991 bytes) 2016-06-17 14:15

- Relationships
related to 0028557closedbugmaster Open CASCADE Test case bugs modalg_6 bug27615 works differently on VC10 and VC12 

-  Notes
(0059354)
msv (developer)
2016-10-28 16:39

I could not reproduce the bug on current master ob MSVS 2013 64-bit.
(0059355)
msv (developer)
2016-10-28 16:41

Dear bugmaster, please create a test case for it, check and close if it is OK.
(0064030)
git (administrator)
2017-02-28 16:02

Branch CR27615 has been created by inv.

SHA-1: 3f47503e77e37560486bde798ddd0b3dc4f023fd


Detailed log of new commits:

Author: bugmaster
Date: Tue Feb 28 16:02:37 2017 +0300

    0027615: [regression] Boolean operation returns invalid shape in 64 bit mode and valid shape in 32 bit mode
    
    Adding test case
(0064467)
git (administrator)
2017-03-20 14:33

Branch CR27615 has been deleted by inv.

SHA-1: 3f47503e77e37560486bde798ddd0b3dc4f023fd

- Related Changesets
occt: master 7a033414
Timestamp: 2017-02-28 13:02:37
Author: bugmaster
Details ] Diff ]
0027615: [regression] Boolean operation returns invalid shape in 64 bit mode and valid shape in 32 bit mode

Adding test case
add - tests/bugs/modalg_6/bug27615 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-06-17 14:15 Timo New Issue
2016-06-17 14:15 Timo Assigned To => msv
2016-06-17 14:15 Timo File Added: RP.brep
2016-10-28 16:39 msv Note Added: 0059354
2016-10-28 16:41 msv Note Added: 0059355
2016-10-28 16:41 msv Assigned To msv => bugmaster
2016-10-28 16:41 msv Status new => assigned
2016-11-02 10:48 msv Status assigned => feedback
2016-11-24 14:20 apn Target Version 7.1.0 => 7.2.0
2017-02-28 16:02 git Note Added: 0064030
2017-02-28 16:03 bugmaster Status feedback => tested
2017-02-28 16:04 bugmaster Test case number => bugs modalg_6 bug27615
2017-03-03 16:25 bugmaster Changeset attached => occt master 7a033414
2017-03-03 16:25 bugmaster Status tested => verified
2017-03-03 16:25 bugmaster Resolution open => fixed
2017-03-15 10:54 msv Relationship added related to 0028557
2017-03-20 14:33 git Note Added: 0064467
2017-05-31 15:34 Timo Reporter Timo => Markus
2017-09-29 16:18 user533 Fixed in Version => 7.2.0
2017-09-29 16:25 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker